import { StackedBarSeries } from "./StackedBarSeries";
import { IStacked100Series } from "./IStacked100Series";
import { Type } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { CategorySeriesView } from "./CategorySeriesView";
import { StackedBarSeriesView } from "./StackedBarSeriesView";
import { CategoryBucketCalculator } from "./CategoryBucketCalculator";
/**
 * @hidden
 */
export declare class Stacked100BarSeries extends StackedBarSeries implements IStacked100Series {
    static $t: Type;
    protected get_abg(): boolean;
    protected jn(): number;
    constructor();
    ac(): void;
    protected ct(): SeriesView;
    acl: Stacked100BarSeriesView;
    q7(a: SeriesView): void;
    aa7(): CategorySeriesView;
    protected abx(): void;
    abm(a: number, b: number): number;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class Stacked100BarSeriesView extends StackedBarSeriesView {
    static $t: Type;
    dp: Stacked100BarSeries;
    constructor(a: Stacked100BarSeries);
    da(): CategoryBucketCalculator;
    a4(): void;
}
